---
title: KeyboardLayoutMap.get()
slug: Web/API/KeyboardLayoutMap/get
tags:
  - API
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Method
  - Reference
  - get()
  - keyboard
---
<div>{{APIRef("Keyboard API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>get()</code></strong> method of the {{domxref('KeyboardLayoutMap')}} interface returns the element with the given key. </span>A list of valid keys is found in the <a href="https://www.w3.org/TR/uievents-code/#key-alphanumeric-writing-system">UI Events KeyboardEvent code Values</a> spec.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>value</var> = <var>KeyboardLayoutMap</var>.get(<var>key</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>key</dt>
 <dd>The key of the item to return from the map.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The value of the specified key.</p>

<h2 id="Example">Example</h2>

<p>The following example demonstrates how to get the location- or layout-specific string associated with the key that corresponds to the 'W' key on an English QWERTY keyboard.</p>

<pre class="brush: js">var keyboard = navigator.keyboard;
keyboard.getLayoutMap()
.then(keyboardLayoutMap =&gt; {
  var upKey = keyboardLayoutMap.get('KeyW');
  window.alert('Press ' + upKey + ' to move up.');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#keyboardlayoutmap-interface','get()')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardLayoutMap.get")}}</p>
